ProyectoCrm/src/app/Modales/confirmacion-rechazo-pago/fw-modal-confirmacion-rehazo-pago/fw-modal-confirmacion-rehazo-pago.component.html

<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss('N')"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <ng-container *ngIf="tRechazo === 'N'">
    <p class="h6">{{ tMensajeModal }}   </p>
  </ng-container>
  <ng-container *ngIf="tRechazo === 'S'">
    <div class="form-group">
      <label class="form-label h6 font-weight-bold text-danger">Por favor, Ingresar una observaciòn:</label>
    </div>
    <div class="form-group col-12">
      <textarea class="form-control" [(ngModel)]="tRechazoActual.Observacion" placeholder="Motivo de rechazo" rows="3" name="Observacion" aria-label="Observacion" aria-describedby="Observacion" required=""></textarea>
    </div>
  </ng-container>
</div>
<div class="modal-footer">
  <ng-container *ngIf="tRechazo === 'N'">
    <button class="btn btn-secondary" type="button" (click)="IngresarMotivo()">Ok  </button>
  </ng-container>
  <button class="btn btn-secondary" type="button" (click)="activeModal.close('N')">Cerrar</button>
  <ng-container *ngIf="tRechazo === 'S'">
    <button class="btn btn-secondary" type="button" (click)="RegistrarRechazo()">Aceptar</button>
  </ng-container>
</div>

ProyectoCrm/src/app/Modales/confirmacion-rechazo-pago/fw-modal-confirmacion-rehazo-pago/fw-modal-confirmacion-rehazo-pago.component.pug
block variables

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss('N')").close
        span(aria-hidden="true") &times;

div.modal-body
    ng-container(*ngIf="tRechazo === 'N'")
        p.h6 {{ tMensajeModal }}   
    ng-container(*ngIf="tRechazo === 'S'")
        div.form-group
            label.form-label.h6.font-weight-bold.text-danger Por favor, Ingresar una observaciòn:
        div.form-group.col-12
            textarea([(ngModel)]="tRechazoActual.Observacion",
                        placeholder="Motivo de rechazo",
                        rows="3",
                        name="Observacion",
                        aria-label="Observacion",
                        aria-describedby="Observacion", 
                        required="").form-control
div.modal-footer
    ng-container(*ngIf="tRechazo === 'N'")
        button(type="button", (click)="IngresarMotivo()").btn.btn-secondary Ok  
    button(type="button", (click)="activeModal.close('N')").btn.btn-secondary Cerrar
    ng-container(*ngIf="tRechazo === 'S'")
        button(type="button", (click)="RegistrarRechazo()").btn.btn-secondary Aceptar
